C++ Utilities: io/inifile.h File Reference

C++ Utilities 5.34.0 Useful C++ classes and routines such as argument parser, IO and conversion utilities

Loading...
Searching...
No Matches
Classes | Namespaces | Enumerations | Functions
inifile.h File Reference
`#include "../global.h"`
`#include "../misc/flagenumclass.h"`
`#include <algorithm>`
`#include <iosfwd>`
`#include <map>`
`#include <optional>`
`#include <string>`
`#include <vector>`
Include dependency graph for inifile.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | CppUtilities::IniFile
| The IniFile class allows parsing and writing INI files. More...
class | CppUtilities::AdvancedIniFile
| The AdvancedIniFile class allows parsing and writing INI files. More...
class | CppUtilities::AdvancedIniFile::Field
| The AdvancedIniFile::Field class represents a field within an INI file. More...
class | CppUtilities::AdvancedIniFile::Section
| The AdvancedIniFile::Section class represents a section within an INI file. More...

## Namespaces
namespace | CppUtilities
| Contains all utilities provided by the c++utilities library.

## Enumerations
enum class | CppUtilities::IniFileParseOptions { CppUtilities::None = 0 }
enum class | CppUtilities::IniFileMakeOptions { CppUtilities::None = 0 }
enum class | CppUtilities::IniFileFieldFlags { CppUtilities::None = 0 , CppUtilities::HasValue = (1 << 0) }
enum class | CppUtilities::IniFileSectionFlags { CppUtilities::None = 0 , CppUtilities::Implicit = (1 << 0) , CppUtilities::Truncated = (1 << 1) }

## Functions
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (CppUtilities, IniFileParseOptions)
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (CppUtilities, IniFileMakeOptions)
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (CppUtilities, IniFileFieldFlags)
| CPP_UTILITIES_MARK_FLAG_ENUM_CLASS (CppUtilities, IniFileSectionFlags)

## Function Documentation

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [1/4]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | CppUtilities | ,
|  | IniFileFieldFlags | )

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [2/4]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | CppUtilities | ,
|  | IniFileMakeOptions | )

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [3/4]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | CppUtilities | ,
|  | IniFileParseOptions | )

## ◆ CPP_UTILITIES_MARK_FLAG_ENUM_CLASS() [4/4]

CPP_UTILITIES_MARK_FLAG_ENUM_CLASS | ( | CppUtilities | ,
|  | IniFileSectionFlags | )